Path parameters
-
The type of the inference task that the model will perform.
Values are
completionorchat_completion. -
The unique identifier of the inference endpoint.
Query parameters
-
Specifies the amount of time to wait for the inference endpoint to be created.
Default value is
30s.
Body
Required
-
The chunking configuration object.
External documentation -
The type of service supported for the specified task type. In this case,
deepseek.Value is
deepseek. -
Settings used to install the inference model. These settings are specific to the
deepseekservice.
PUT
/_inference/{task_type}/{deepseek_inference_id}
curl \
--request PUT 'http://api.example.com/_inference/{task_type}/{deepseek_inference_id}' \
--header "Authorization: $API_KEY" \
--header "Content-Type: application/json" \
--data '{
"chunking_settings": {
"max_chunk_size": 250,
"overlap": 100,
"sentence_overlap": 1,
"strategy": "sentence"
},
"service": "deepseek",
"service_settings": {
"api_key": "string",
"model_id": "string",
"url": "string"
}
}'